%define upstream_name Filesys-SmbClient
%define upstream_version 3.2

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Provide Perl API for libsmbclient.so
Source:		http://www.cpan.org/modules/by-module/Filesys/%{upstream_name}-%{upstream_version}.tar.gz
Url:		http://search.cpan.org/dist/%{upstream_name}

BuildRequires:	perl-devel
BuildRequires:	perl(Test::More)
BuildRequires:	libsmbclient-devel


%description
Provide interface to access routine defined in libsmbclient.so provided
with Samba.

Since 3.0 release of this package, you need a least samba-3.0.2. For prior
release of Samba, use Filesys::SmbClient version 1.x.

For old and 2.x release, this library is available on Samba source, but is
not build by default. Do "make bin/libsmbclient.so" in sources directory of
Samba to build this libraries. Then copy source/include/libsmbclient.h to
/usr/local/samba/include and source/bin/libsmbclient.so to
/usr/local/samba/lib before install this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor <<EOF
%{_includedir}
%{_libdir}
no
EOF
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/Filesys
%{perl_vendorarch}/auto/Filesys


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 3.2-2.mga4
+ Revision: 537162
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 3.2-1.mga4
+ Revision: 486449
- update to 3.2

* Wed May 29 2013 jquelin <jquelin> 3.1-6.mga4
+ Revision: 430695
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.1-5.mga3
+ Revision: 367479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.1-4.mga3
+ Revision: 250638
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 3.1-3.mga2
+ Revision: 104298
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 3.1-2.mga1
+ Revision: 30412
- mageia rebuild
- imported package perl-Filesys-SmbClient


* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 3.1-2mdv2010.0
+ Revision: 440567
- rebuild

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-1mdv2009.1
+ Revision: 345099
- import perl-Filesys-SmbClient


* Thu Feb 26 2009 cpan2dist 3.1-1mdv
- initial mdv release, generated with cpan2dist

